
            First of all, this is a *developers* only version


Usage
-----

 In order to use these bindings you have to compile vlc from source. I
recommend you to take the latest version from videolan svn repository
(or use at least revison 18443) by doing:

svn co svn://svn.videolan.org/vlc/trunk vlc-trunk

 bootstrap, clean, set environment variables, configure and build:

./bootstrap

export JAVA_HOME=/path/to/jvm 
(for example i have JAVA_HOME=/usr/lib/jvm/java-1.5.0-sun)

./configure --enable-java-bindings && make && make install

 To run a Java VLC example issue (be sure you have an a.avi and a.mp3 files
in your user.dir folder):

java -Djava.library.path=/usr/local/lib VLCExample

(if you have specified a prefix in configure, change /usr/local/lib to 
PREFIX/lib)

 Be sure your ldconfig can find libjawt.so and libmawt.so or you will
get linking errors when you run the program.

 Happy playing.
